Subject: status shows no changes but stage won't pop

From: "Lipofsky, Dan -ND" <[email-masked]>
Date: Tue, 2 Dec 2025 19:23:53 +0000

I believe I've uncovered a weird bug in the git client (2.49.0 and 2.52.0, installed with brew on MacOS 15.6.1).

status shows no changes, but stash won't pop because it says it would overwrite local changes

$ git status -u
On branch release/2.0.0
Your branch is ahead of 'origin/release/2.0.0' by 16 commits.
  (use "git push" to publish your local commits)

nothing to commit, working tree clean

$ git stash pop
error: Your local changes to the following files would be overwritten by merge:
	src/main/java/com/wdpr/nge/edt/gstexpds/web/ExperienceRecordController.java
Please commit your changes or stash them before you merge.
Aborting
On branch release/2.0.0
Your branch is ahead of 'origin/release/2.0.0' by 16 commits.
  (use "git push" to publish your local commits)

nothing to commit, working tree clean
The stash entry is kept in case you need it again.

$ git version
git version 2.52.0

So how did I get here?
I did something weird (accidentally, because I was distracted with multiple windows open).
I was doing a "git rebase -i" from the command-line,
while at the same time I staged a change using Sourcetree,
and then exited the rebase (I think without actually changing anything).

I have no idea how to fix this. I tried removing and checking out the problem file, but that didn’t help.

Thanks,
Dan